package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020/2/21
 **/
public enum GroupStatusEnum implements BaseEnum<String, GroupStatusEnum> {

    NOT_START("NOT_START","未开始"),
    APPLYING("APPLYING","报名中"),
    NORMAL("NORMAL", "进行中"),
    LOCK("LOCK", "锁定"),
    FINISH("FINISH", "结束"),
    CANCEL("CANCEL", "关闭");

    private String code;

    private String desc;

    GroupStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }}
